## python-defaults 2.7.12-1~16.04

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/share/python/
	$(INSTALL) -m 755 dh_python2.py $(DESTDIR)$(PREFIX)/bin/dh_python2
	$(INSTALL) -m 644 python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python/debpython/
	$(INSTALL) -m 755 pycompile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 pyclean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

dist_fallback:
	make -C pydist $@

check_versions:
	@set -e;\
	DEFAULT=`sed -rn 's,^DEFAULT = \(([0-9]+)\, ([0-9]+)\),\1.\2,p' debpython/version.py`;\
	SUPPORTED=`sed -rn 's,^SUPPORTED = \[\(([0-9]+)\, ([0-9]+)\)\, \(([0-9]+)\, ([0-9]+)\)\],\1.\2 \3.\4,p' debpython/version.py`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0-9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo "Please update DEFAULT in debpython/version.py ($$DEFAULT vs. $$DEB_DEFAULT)" >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo "Please update SUPPORTED in debpython/version.py ($$SUPPORTED vs. $$DEB_SUPPORTED)" >/dev/stderr; false)

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
nose:
	nosetests --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

.PHONY: clean tests test% check_versions

=== pydist/Makefile ===
#!/usr/bin/make -f

clean:
	rm -rf cache
	#rm -f dist_fallback

dist_fallback: sources.list
	python ./generate_fallback_list.py --skip-sensible-names

.PHONY: clean

=== tests/t1/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)

check:
	grep -q "Depends: .*python-mako" debian/python-foo/DEBIAN/control
	grep -q 'python-foo (>= 2:0.1~rc2)' debian/python-foo/DEBIAN/control
ifneq (,$(findstring 2.6,$(DEBPYTHON_SUPPORTED)))
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/__init__.py
endif
	test ! -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/spam.py
	grep -q "Depends: .*python (<<" debian/python-foo/DEBIAN/control
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/absolute_link_to_tmp`" = "/tmp" ]
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/link_to_parent_dir`" = ".." ]

clean: clean-common
	rm -rf lib/Foo.egg-info

=== debian/changelog ===
python-defaults (2.7.12-1~16.04) xenial-proposed; urgency=medium

  * SRU.
  * Bump version to 2.7.12. LP: #1591895.
  * pycompile, pyclean, pyversions: Use python2 as the shebang to guard
    against people fiddling around with the python symlink or having a
    python3 installed as python in /usr/local. LP: #1715062.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Nov 2017 12:47:42 +0100

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.12-1),
  lsb-release,
  python-all,
  python2.7 (>= 2.7.12-1~),
  debiandoc-sgml,
Standards-Version: 3.9.6
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: any
Multi-Arch: allowed
Priority: standard
Pre-Depends: python-minimal (= ${binary:Version})
Depends: ${misc:Depends}, python2.7 (>= 2.7.12-1~), libpython-stdlib (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.12-1~)
Conflicts: python-central (<< 0.5.5)
Breaks: update-manager-core (<< 0.200.5-2)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-minimal
Architecture: any
Multi-Arch: allowed
Priority: standard
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.12-1~), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
Replaces: python (<= 2.7.3-1~)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.12-1~)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.12-1~)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: libpython-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython2.7-dev (>= 2.7.12-1~), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: libpython-stdlib
Architecture: any
Multi-Arch: same
Priority: standard
Depends: libpython2.7-stdlib (>= 2.7.12-1~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python-tk, idle-python2.7
Enhances: python
Replaces: python (<< 2.7.3-1~)
Breaks: python (<< 2.7.3-1~)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.12-1~)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.12-1~)
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: libpython-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython2.7-dbg (>= 2.7.12-1~), ${misc:Depends}
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: python-all
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.7, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dev (= ${binary:Version}), python-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python development packages
 The package currently depends on python2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python development
 packages.

Package: python-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dbg (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python debug packages.

Package: libpython-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython-dev (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dev
Description: package depending on all supported Python development packages
 The package currently depends on libpython2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python development
 packages.

Package: libpython-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython-dbg (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dbg
Description: package depending on all supported Python debugging packages
 The package currently depends on libpython2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python debug packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell lsb_release -cs)

export VER=2.7
export NVER=2.8
export PVER=python2.7

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
# first version with Multi-Arch: allowed
PREVVER := 2.7.12-1~

# not yet allowed
ma_allowed	= yes

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.12-1)
endif


PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html -l en.UTF-8 debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	make -C pydist
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in \
	    $(if $(ma_allowed),,| grep -v '^Multi-Arch: allowed$$') \
		>debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	# Note: This rule is broken due to web site reorg at python.org
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

make-faq:
	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  rm -f $$p.ht2; \
	done

MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

%.1: %.rst
	rst2man $< > $@

# Manually run this rule if there is a need to update the dh_python2 man pages
make-man: $(MANPAGES)
	cd pydist && \
	rst2html README.PyDist > README.PyDist.html

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs usr/share/doc/python/faq
	dh_install

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  cp $$p.html ../debian/python/usr/share/doc/python/faq/; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/

	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	-make check_versions
	DESTDIR=debian/python PREFIX=/usr make install-dev
	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make -C pydist dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html
	mkdir -p debian/python-doc/usr/share/doc/python-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python.xpm debian/idle/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle; do \
	  [ $$p = idle ] || p=python-$$p; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install stamp-doc
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python-minimal/usr/bin
	ln -sf python$(VER) debian/python-minimal/usr/bin/python
	ln -sf python$(VER) debian/python-minimal/usr/bin/python2
	mkdir -p debian/python-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python.1.gz
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python2.1.gz

	: # 
	mkdir -p debian/python-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python-minimal/usr/share/man/man1/
	dh_link -ppython-minimal /usr/share/python/pyversions.py /usr/bin/pyversions

#	install -m 755 debian/pycompile \
#		debian/python-minimal/usr/bin/
#	install -m 755 debian/pyclean \
#		debian/python-minimal/usr/bin/

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python/usr/bin
	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
	ln -sf pdb$(VER) debian/python/usr/bin/pdb
	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3

	mkdir -p debian/python/usr/share/python
	install -m 644 debian/python.mk \
		debian/python/usr/share/python/

	mkdir -p debian/python/usr/share/man/man1

=== tests/t1/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	find debian/ -name jquery.js -exec \
	ln -fs /usr/share/javascript/jquery/jquery.js '{}' \;
	find debian/ -name foo -type d -exec \
	ln -s /tmp/ '{}/absolute_link_to_tmp' \;
	find debian/ -name foo -type d -exec \
	ln -s .. '{}/link_to_parent_dir' \;
	DH_VERBOSE=1 ../../dh_python2\
		--depends 'SQLAlchemy >= 0.6.1'\
		--recommends Mako\
		--suggests 'Foo >= 0.1rc2'\
		--suggests 'bar >= 1.0'

=== tests/t3/debian/rules ===
#!/usr/bin/make -f
DPY=$(shell PYTHONPATH=../../ python -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))')
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	# install also as private extension
	dh_install debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
		/usr/lib/python-foo/
	# ... and under versioned name with a symlink
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam.so.0
	dh_link /usr/lib/python${DPY}/dist-packages/foo/spam.so.0 \
		/usr/lib/python${DPY}/dist-packages/foo/spam.so
	# ... and with multiple symlinks
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2
	dh_link /usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2 \
		/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1
	dh_link /usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1 \
		/usr/lib/python${DPY}/dist-packages/foo/baz.so
	# ... second style of multiple symlinks
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0
	dh_link /usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0 \
		/usr/lib/python${DPY}/dist-packages/foo/quux.so.0
	dh_link /usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0 \
		/usr/lib/python${DPY}/dist-packages/foo/quux.so
	# ... and complex multiple symlinks
	DH_VERBOSE=1 ../../dh_python2

=== tests/t4/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	DH_VERBOSE=1 ../../dh_python2
	DH_VERBOSE=1 ../../dh_python2 /usr/share/bar

clean:
	dh_clean

=== tests/t7/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	DH_VERBOSE=1 ../../dh_python2
	DH_VERBOSE=1 ../../dh_python2 /usr/share/bar
	DH_VERBOSE=1 ../../dh_python2 /usr/share/baz24 --shebang '/usr/bin/python2.4 -OO'

clean:
	dh_clean

## python-defaults 2.7.13-1

=== debian/changelog ===
python-defaults (2.7.13-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump version to 2.7.13.
  * Mark python-doc as M-A: foreign.
  * Bump debhelper version.

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python build dependencies with :any (Closes: #841682)

  [ Chris Lamb ]
  * Consistently order python substvars to support reproducibility (Closes:
    #844111)

  [ Scott Kitterman ]
  * Add Django specific binary naming policy to align to current practice.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Dec 2016 11:15:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.12-1),
+Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.11-11),
   lsb-release,
-  python-all,
-  python2.7 (>= 2.7.12-1~),
+  python-all:any,
+  python2.7:any (>= 2.7.13-1~),
   debiandoc-sgml,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files
@@ -18,8 +18,8 @@
 Multi-Arch: allowed
 Priority: standard
 Pre-Depends: python-minimal (= ${binary:Version})
-Depends: ${misc:Depends}, python2.7 (>= 2.7.12-1~), libpython-stdlib (= ${binary:Version})
-Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.12-1~)
+Depends: ${misc:Depends}, python2.7 (>= 2.7.13-1~), libpython-stdlib (= ${binary:Version})
+Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.13-1~)
 Conflicts: python-central (<< 0.5.5)
 Breaks: update-manager-core (<< 0.200.5-2)
 Replaces: python-dev (<< 2.6.5-2)
@@ -36,7 +36,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.12-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.13-1~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -49,7 +49,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.12-1~)
+Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.13-1~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -60,7 +60,7 @@
 Package: python-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.12-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.13-1~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -73,7 +73,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython2.7-dev (>= 2.7.12-1~), ${misc:Depends}
+Depends: libpython2.7-dev (>= 2.7.13-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -86,7 +86,7 @@
 Architecture: any
 Multi-Arch: same
 Priority: standard
-Depends: libpython2.7-stdlib (>= 2.7.12-1~), ${misc:Depends}
+Depends: libpython2.7-stdlib (>= 2.7.13-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -111,7 +111,8 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.12-1~)
+Multi-Arch: foreign
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.13-1~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -138,7 +139,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.12-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.13-1~)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
@@ -148,7 +149,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython2.7-dbg (>= 2.7.12-1~), ${misc:Depends}
+Depends: libpython2.7-dbg (>= 2.7.13-1~), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python2.7/lib-dynload/debug first.

## python-defaults 2.7.13-2

=== debian/changelog ===
python-defaults (2.7.13-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Lower priority of packages from standard to optional.

  [ Scott Kitterman ]
  * Make another attempt at Django specific binary naming

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 14:00:42 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Package: python
 Architecture: any
 Multi-Arch: allowed
-Priority: standard
+Priority: optional
 Pre-Depends: python-minimal (= ${binary:Version})
 Depends: ${misc:Depends}, python2.7 (>= 2.7.13-1~), libpython-stdlib (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.13-1~)
@@ -35,7 +35,7 @@
 Package: python-minimal
 Architecture: any
 Multi-Arch: allowed
-Priority: standard
+Priority: optional
 Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.13-1~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
@@ -85,7 +85,7 @@
 Package: libpython-stdlib
 Architecture: any
 Multi-Arch: same
-Priority: standard
+Priority: optional
 Depends: libpython2.7-stdlib (>= 2.7.13-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python version)
  Python, the high-level, interactive object oriented language,

=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,13 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.12-1~
+PREVVER := 2.7.13-1~
 
 # not yet allowed
 ma_allowed	= yes
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.12-1)
+  bd_i586 = dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.11-11)
 endif

## python-defaults 2.7.13-2ubuntu1

=== debian/changelog ===
python-defaults (2.7.13-2ubuntu1) zesty-proposed; urgency=medium

  * SRU.
  * pycompile, pyclean, pyversions: Use python2 as the shebang to guard
    against people fiddling around with the python symlink or having a
    python3 installed as python in /usr/local. LP: #1715062.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Nov 2017 22:20:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.11-11),
   lsb-release,

## python-defaults 2.7.13-2-1

=== debian/changelog ===
python-defaults (2.7.13-2-1) unstable; urgency=medium

  * build for dilos

 -- Igor Kozhukhov <igor@dilos.org>  Fri, 24 Mar 2017 00:29:47 +0300

## python-defaults 2.7.13-2-1%2Bdilos4

=== debian/changelog ===
python-defaults (2.7.13-2-1+dilos4) unstable; urgency=medium

  * Build for DilOS

 -- DilOS Team <dilos@dilos.org>  Thu, 10 Jun 2021 15:12:55 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.11-11),
   lsb-release,
@@ -136,7 +135,7 @@
  Python version (currently v2.7).
 
 Package: python-dbg
-Architecture: any
+Architecture: linux-any
 Multi-Arch: allowed
 Section: debug
 Priority: extra
@@ -146,7 +145,7 @@
  searched in /usr/lib/python2.7/lib-dynload/debug first.
 
 Package: libpython-dbg
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: debug
 Priority: extra
@@ -181,7 +180,7 @@
  packages.
 
 Package: python-all-dbg
-Architecture: any
+Architecture: linux-any
 Multi-Arch: allowed
 Section: debug
 Priority: extra
@@ -210,7 +209,7 @@
  packages.
 
 Package: libpython-all-dbg
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: debug
 Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -262,10 +262,15 @@
 		debian/python-minimal/usr/share/man/man1/
 	dh_link -ppython-minimal /usr/share/python/pyversions.py /usr/bin/pyversions
 
-#	install -m 755 debian/pycompile \
-#		debian/python-minimal/usr/bin/
-#	install -m 755 debian/pyclean \
-#		debian/python-minimal/usr/bin/
+	mv debian/python-minimal/usr/bin/pycompile \
+		debian/python-minimal/usr/bin/pycompile.exec
+	install -m 755 debian/pycompile \
+		debian/python-minimal/usr/bin/
+
+	mv debian/python-minimal/usr/bin/pyclean \
+		debian/python-minimal/usr/bin/pyclean.exec
+	install -m 755 debian/pyclean \
+		debian/python-minimal/usr/bin/
 
 #	mkdir debian/python-minimal/usr/share/python-central
 #	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/
@@ -274,10 +279,3 @@
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
 	ln -sf pdb$(VER) debian/python/usr/bin/pdb
-	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3
-
-	mkdir -p debian/python/usr/share/python
-	install -m 644 debian/python.mk \
-		debian/python/usr/share/python/
-
-	mkdir -p debian/python/usr/share/man/man1

## python-defaults 2.7.14-2ubuntu1

=== debian/changelog ===
python-defaults (2.7.14-2ubuntu1) artful; urgency=medium

  * pycompile, pyclean, pyversions: Use python2 as the shebang to guard
    against people fiddling around with the python symlink or having a
    python3 installed as python in /usr/local. LP: #1715062.
  * Rename the idle package to idle2. idle is now built for python3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Sep 2017 10:18:14 +0200

python-defaults (2.7.14-1) unstable; urgency=medium

  * Bump version to 2.7.14.
  * python-examples: Fix Multi-Arch warning.
  * Change policy format from debiandoc SGML to DocBook/XML (W. Martin Borgert).
    Closes: #872421.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Sep 2017 10:17:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.11-11),
   lsb-release,
   python-all:any,
-  python2.7:any (>= 2.7.13-1~),
-  debiandoc-sgml,
-Standards-Version: 3.9.8
+  python2.7:any (>= 2.7.14-1~),
+  docbook-xml,
+  docbook-xsl,
+  w3m,
+  xsltproc,
+Standards-Version: 4.1.0
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files
@@ -18,8 +22,8 @@
 Multi-Arch: allowed
 Priority: optional
 Pre-Depends: python-minimal (= ${binary:Version})
-Depends: ${misc:Depends}, python2.7 (>= 2.7.13-1~), libpython-stdlib (= ${binary:Version})
-Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.13-1~)
+Depends: ${misc:Depends}, python2.7 (>= 2.7.14-1~), libpython-stdlib (= ${binary:Version})
+Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.14-1~)
 Conflicts: python-central (<< 0.5.5)
 Breaks: update-manager-core (<< 0.200.5-2)
 Replaces: python-dev (<< 2.6.5-2)
@@ -36,7 +40,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: optional
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.13-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.14-1~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -49,7 +53,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.13-1~)
+Depends: ${misc:Depends}, python:any (>= ${binary:Version}), python2.7-examples (>= 2.7.14-1~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -60,7 +64,7 @@
 Package: python-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.13-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.14-1~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -73,7 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython2.7-dev (>= 2.7.13-1~), ${misc:Depends}
+Depends: libpython2.7-dev (>= 2.7.14-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -86,7 +90,7 @@
 Architecture: any
 Multi-Arch: same
 Priority: optional
-Depends: libpython2.7-stdlib (>= 2.7.13-1~), ${misc:Depends}
+Depends: libpython2.7-stdlib (>= 2.7.14-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -95,24 +99,24 @@
  This package is a dependency package, which depends on Debian's default
  Python version (currently v2.7).
 
-Package: idle
+Package: idle2
 Architecture: all
 Depends: ${misc:Depends}, python (>= ${binary:Version}), python-tk, idle-python2.7
 Enhances: python
-Replaces: python (<< 2.7.3-1~)
-Breaks: python (<< 2.7.3-1~)
-Description: IDE for Python using Tkinter (default version)
+Replaces: python (<< 2.7.3-1~), idle (<< 2.7.14-2~)
+Breaks: python (<< 2.7.3-1~), idle (<< 2.7.14-2~)
+Description: IDE for Python2 using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
  IDLE is written using Tkinter and therefore quite platform-independent.
  .
  This package is a dependency package, which depends on Debian's default
- Python version (currently v2.7) of IDLE.
+ Python2 version (currently v2.7) of IDLE.
 
 Package: python-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.13-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.14-1~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -135,21 +139,21 @@
  Python version (currently v2.7).
 
 Package: python-dbg
-Architecture: linux-any
-Multi-Arch: allowed
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.13-1~)
+Architecture: any
+Multi-Arch: allowed
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.14-1~)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
 
 Package: libpython-dbg
-Architecture: linux-any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libpython2.7-dbg (>= 2.7.13-1~), ${misc:Depends}
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libpython2.7-dbg (>= 2.7.14-1~), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python2.7/lib-dynload/debug first.
@@ -180,7 +184,7 @@
  packages.
 
 Package: python-all-dbg
-Architecture: linux-any
+Architecture: any
 Multi-Arch: allowed
 Section: debug
 Priority: extra
@@ -209,7 +213,7 @@
  packages.
 
 Package: libpython-all-dbg
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.13-1~
+PREVVER := 2.7.14-1~
 
 # not yet allowed
 ma_allowed	= yes
@@ -55,10 +55,12 @@
 	touch stamp-build
 
 stamp-doc-policy:
-	debiandoc2text debian/python-policy.sgml
+	xsltproc --nonet --novalid debian/html.xsl debian/python-policy.dbk \
+	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > python-policy.txt
 	mv -f python-policy.txt debian/
-	debiandoc2html -l en.UTF-8 debian/python-policy.sgml
 	rm -rf debian/python-policy.html
+	mkdir python-policy.html
+	( cd python-policy.html; xsltproc --nonet --novalid ../debian/chunk.xsl ../debian/python-policy.dbk )
 	mv -f python-policy.html debian/
 	make -C pydist
 	touch stamp-doc-policy
@@ -205,25 +207,25 @@
 endif
 
 	: # provide the idle and idle.1 defaults
-	mkdir -p debian/idle/usr/bin
-	install -m 755 debian/idle.py debian/idle/usr/bin/idle
-
-	mkdir -p debian/idle/usr/share/man/man1
-	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1
-
-	mkdir -p debian/idle/usr/share/pixmaps
-	ln -sf python.xpm debian/idle/usr/share/pixmaps/idle.xpm
-
-	mkdir -p debian/idle/usr/share/applications
-	cp -p debian/idle.desktop debian/idle/usr/share/applications/
+	mkdir -p debian/idle2/usr/bin
+	install -m 755 debian/idle.py debian/idle2/usr/bin/idle2
+
+	mkdir -p debian/idle2/usr/share/man/man1
+	install -m 644 debian/idle.1 debian/idle2/usr/share/man/man1/idle2.1
+
+	mkdir -p debian/idle2/usr/share/pixmaps
+	ln -sf python.xpm debian/idle2/usr/share/pixmaps/idle2.xpm
+
+	mkdir -p debian/idle2/usr/share/applications
+	cp -p debian/idle2.desktop debian/idle2/usr/share/applications/
 
 #	dh_installdebconf -i $(NOPKGS)
 	dh_lintian -i
 	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
 	dh_installchangelogs -i $(NOPKGS)
 
-	for p in examples idle; do \
-	  [ $$p = idle ] || p=python-$$p; \
+	for p in examples idle2; do \
+	  [ $$p = idle2 ] || p=python-$$p; \
 	  rm -rf debian/$$p/usr/share/doc/$$p; \
 	  ln -sf python debian/$$p/usr/share/doc/$$p; \
 	done
@@ -262,15 +264,10 @@
 		debian/python-minimal/usr/share/man/man1/
 	dh_link -ppython-minimal /usr/share/python/pyversions.py /usr/bin/pyversions
 
-	mv debian/python-minimal/usr/bin/pycompile \
-		debian/python-minimal/usr/bin/pycompile.exec
-	install -m 755 debian/pycompile \
-		debian/python-minimal/usr/bin/
-
-	mv debian/python-minimal/usr/bin/pyclean \
-		debian/python-minimal/usr/bin/pyclean.exec
-	install -m 755 debian/pyclean \
-		debian/python-minimal/usr/bin/
+#	install -m 755 debian/pycompile \
+#		debian/python-minimal/usr/bin/
+#	install -m 755 debian/pyclean \
+#		debian/python-minimal/usr/bin/
 
 #	mkdir debian/python-minimal/usr/share/python-central
 #	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/
